package net.vtstar.zhongtong.avi.monitoring.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import net.vtstar.utils.domain.Return;
import net.vtstar.zhongtong.avi.monitoring.service.PDAService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@Api(description = "PDA相关操作模块")
@RestController
@RequestMapping("/PDA")
public class PDAController {

    @Autowired
    private PDAService pdaService;

    @ApiOperation(value = "pda扫码请求")
    @PostMapping("/bound")
    private Return Bound(@RequestParam("busOrderNo") String busOrderNo){

        pdaService.bound(busOrderNo);
        return Return.success();
    }
}
